# Next Steps

Congratulations! Believe it or not, you’re now equipped with the fundamentals you need to explore the world of Vue 3 and TypeScript.

Of course, for those wondering, this is far from the end of your journey should you choose to explore more. Like with any other skill, there are more advanced techniques and patterns that come with experience.

And while you will see examples out in the wild with complicated TypeScript patterns, know that you don’t ever need to get that advanced. Like any other technique or design pattern in the coding world, the important thing is to understand what problem you’re solving for before introducing something new into a code base. By doing so, you will save yourself from pre-optimizations that will cause unnecessary complications in the future.

If you’re looking for additional resources to explore on your own, be sure to check out:

- The [official Vue docs](https://v3.vuejs.org/guide/typescript-support.html#typescript-support) that now has a dedicated TypeScript section that will continue to grow as the ecosystem matures.
  > https://v3.vuejs.org/guide/typescript-support.html#typescript-support
- And of course, the [official TypeScript docs](https://www.typescriptlang.org/docs/) site for an in-depth look at TypeScript
  > https://www.typescriptlang.org/docs/

With that said, while this seems like farewell, there’s one more bonus lesson coming up! Now that we’ve learned the fundamentals of using TypeScript with Vue 3’s Options API, we’ll see how we can apply those some skills to Vue 3’s Composition API!

See you there!

---

[Lesson 8: Computed & Methods with Custom Types](../8/readme.md) | [Back to root](../readme.md) | [Bonus: Composition API with TypeScript](../bonus/readme.md)
